API SpecificationIntegrations
List new file options
Lists new file templates from all integrations the user has access to, for populating the new file menu.
Authorization
OAuth2 upl:bucket:readAuthorizationBearer <token>
OAuth 2.0 authorization
In: header
Scope: upl:bucket:read
Header Parameters
Connect-Protocol-Version*number
Define the version of the Connect protocol
Value in
1Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/json
[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.IntegrationsService/ListNewFileOptions" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{
"options": [
{
"integration": {
"integrationId": "string",
"name": "string",
"oauthClientId": "string",
"folderBehavior": "INTEGRATION_FOLDER_BEHAVIOR_UNSPECIFIED",
"folderLinkUrl": "string"
},
"newFile": {
"id": "string",
"integrationId": "string",
"name": "string",
"extension": "string",
"creationType": "NEW_FILE_CREATION_TYPE_UNSPECIFIED",
"defaultContent": {
"multiple": {
"files": {
"property1": {
"stringContent": "string"
},
"property2": {
"stringContent": "string"
}
}
}
},
"createdAt": "2023-01-15T01:30:15.01Z",
"updatedAt": "2023-01-15T01:30:15.01Z"
}
}
]
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}